{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Get asset list of an ELD carrier",
    "description": "The API provides the list of assets of an ELD carriers.\n\nRequests are authenticated by the `partnerId` and `accountId` attributes as query params.\nThese values will be provided by TruckerTools during onboarding, the latter already being encrypted.\n\n**Note:** The below providers do not allow us to access a carrier's vehicle list, so carriers\nwith these providers will result in blank responses.\n\n```\nOmnitracs\nMercer\nBig Road\nAriontech\nGPS Border\n```\n"
  },
  "servers": [
    {
      "description": "SwaggerHub API Auto Mocking",
      "url": "https://virtserver.swaggerhub.com/truckertools/Get-ELD-Asset-List/1.0.0"
    },
    {
      "url": "http://loadtracking.truckertools.com",
      "description": "Production Server\n"
    }
  ],
  "security": [],
  "paths": {
    "/getELDAssetListExternal/{MCNumber}": {
      "get": {
        "summary": "list of assets of an ELD carriers",
        "description": "Get asset list of an ELD carrier.\n",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "$ref": "#/components/parameters/partnerId"
          },
          {
            "name": "MCNumber",
            "description": "Carrier MC/Docket number\n",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "example": 123456
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/getELDAssetListExternalResponse"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "accountId": {
        "description": "Encrypted Customer Account Id\n",
        "name": "accountId",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "example": null
        }
      },
      "partnerId": {
        "description": "Customer Partner Id\n",
        "name": "partnerId",
        "in": "query",
        "required": true,
        "schema": {
          "type": "integer",
          "example": null
        }
      }
    },
    "responses": {
      "getELDAssetListExternalResponse": {
        "description": "Get asset list of an ELD carrier\n",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "boolean",
                  "default": true
                },
                "assetList": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/asset"
                  }
                }
              }
            }
          }
        }
      }
    },
    "schemas": {
      "asset": {
        "type": "string",
        "example": 123456
      }
    }
  }
}